Skip to main content
GET
/
automation-runs
/
{id}
Get workflow run by ID
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/automation-runs/{id}
{
  "run": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "state": "pending",
    "triggeredBy": "schedule",
    "error": {},
    "metadata": {},
    "inputValues": {},
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "stateHistory": [
      {
        "state": "pending",
        "at": "2023-11-07T05:31:56Z"
      }
    ],
    "userAgent": "web",
    "workflowName": "<string>"
  },
  "stepRuns": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflowStepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "state": "pending",
      "input": {},
      "output": {},
      "error": {},
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "stateHistory": [
        {
          "state": "pending",
          "at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Path Parameters

id
string<uuid>
required

Response

Workflow run with step runs

run
object
required
stepRuns
object[]
required